Package be.fgov.ehealth.etee.kgss._1_0.protocol

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.etee.kgss._1_0.protocol.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.etee.kgss._1_0.protocol package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etee.kgss._1_0.protocol

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CredentialType`
  `createCredentialType()`
  Create an instance of `CredentialType`
  `DeletionStrategyType`
  `createDeletionStrategyType()`
  Create an instance of `DeletionStrategyType`
  `GetKeyRequest`
  `createGetKeyRequest()`
  Create an instance of `GetKeyRequest`
  `GetKeyRequestContent`
  `createGetKeyRequestContent()`
  Create an instance of `GetKeyRequestContent`
  `GetKeyResponse`
  `createGetKeyResponse()`
  Create an instance of `GetKeyResponse`
  `GetKeyResponseContent`
  `createGetKeyResponseContent()`
  Create an instance of `GetKeyResponseContent`
  `GetNewKeyRequest`
  `createGetNewKeyRequest()`
  Create an instance of `GetNewKeyRequest`
  `GetNewKeyRequestContent`
  `createGetNewKeyRequestContent()`
  Create an instance of `GetNewKeyRequestContent`
  `GetNewKeyResponse`
  `createGetNewKeyResponse()`
  Create an instance of `GetNewKeyResponse`
  `GetNewKeyResponseContent`
  `createGetNewKeyResponseContent()`
  Create an instance of `GetNewKeyResponseContent`
  `SealedContentType`
  `createSealedContentType()`
  Create an instance of `SealedContentType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etee.kgss._1_0.protocol

- ## Method Details

  - ### createGetNewKeyRequestContent

    public GetNewKeyRequestContent createGetNewKeyRequestContent()
    Create an instance of `GetNewKeyRequestContent`
    Returns:
      the new instance of `GetNewKeyRequestContent`

  - ### createCredentialType

    public CredentialType createCredentialType()
    Create an instance of `CredentialType`
    Returns:
      the new instance of `CredentialType`

  - ### createDeletionStrategyType

    public DeletionStrategyType createDeletionStrategyType()
    Create an instance of `DeletionStrategyType`
    Returns:
      the new instance of `DeletionStrategyType`

  - ### createGetNewKeyResponseContent

    public GetNewKeyResponseContent createGetNewKeyResponseContent()
    Create an instance of `GetNewKeyResponseContent`
    Returns:
      the new instance of `GetNewKeyResponseContent`

  - ### createGetKeyRequestContent

    public GetKeyRequestContent createGetKeyRequestContent()
    Create an instance of `GetKeyRequestContent`
    Returns:
      the new instance of `GetKeyRequestContent`

  - ### createGetKeyResponseContent

    public GetKeyResponseContent createGetKeyResponseContent()
    Create an instance of `GetKeyResponseContent`
    Returns:
      the new instance of `GetKeyResponseContent`

  - ### createGetNewKeyRequest

    public GetNewKeyRequest createGetNewKeyRequest()
    Create an instance of `GetNewKeyRequest`
    Returns:
      the new instance of `GetNewKeyRequest`

  - ### createSealedContentType

    public SealedContentType createSealedContentType()
    Create an instance of `SealedContentType`
    Returns:
      the new instance of `SealedContentType`

  - ### createGetNewKeyResponse

    public GetNewKeyResponse createGetNewKeyResponse()
    Create an instance of `GetNewKeyResponse`
    Returns:
      the new instance of `GetNewKeyResponse`

  - ### createGetKeyRequest

    public GetKeyRequest createGetKeyRequest()
    Create an instance of `GetKeyRequest`
    Returns:
      the new instance of `GetKeyRequest`

  - ### createGetKeyResponse

    public GetKeyResponse createGetKeyResponse()
    Create an instance of `GetKeyResponse`
    Returns:
      the new instance of `GetKeyResponse`